summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAntoine Jacoutot <ajacoutot@cvs.openbsd.org>2020-07-04 14:08:28 +0000
committerAntoine Jacoutot <ajacoutot@cvs.openbsd.org>2020-07-04 14:08:28 +0000
commiteae079b9f06c7021b6692e9c920788c0bd7b8095 (patch)
tree12b8cd63a00c88080f7d2949604d5e3debb753a6
parent29a6d79e2b258dcb8b6ffc1edc1fd7f5deb64db8 (diff)
Small XXX.
-rw-r--r--usr.sbin/syspatch/syspatch.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/usr.sbin/syspatch/syspatch.sh b/usr.sbin/syspatch/syspatch.sh
index 633017a0cda..7e044a885ca 100644
--- a/usr.sbin/syspatch/syspatch.sh
+++ b/usr.sbin/syspatch/syspatch.sh
@@ -1,6 +1,6 @@
#!/bin/ksh
#
-# $OpenBSD: syspatch.sh,v 1.161 2020/05/24 16:47:43 tb Exp $
+# $OpenBSD: syspatch.sh,v 1.162 2020/07/04 14:08:27 ajacoutot Exp $
#
# Copyright (c) 2016, 2017 Antoine Jacoutot <ajacoutot@openbsd.org>
#
@@ -172,6 +172,7 @@ ls_missing()
# if no earlier version of all files contained in the syspatch exists
# on the system, it means a missing set so skip it
+ # XXX pipefail
grep -Eo "syspatch${_OSrev}-[[:digit:]]{3}_[[:alnum:]_-]+" ${_sha} |
while read _c; do _c=${_c##syspatch${_OSrev}-} &&
[[ -n ${_l} ]] && echo ${_c} | grep -qw -- "${_l}" || echo ${_c}